Subject: bibliotheques
From: [email-masked] (Berenice LOPEZ)

20 Jun 1997 07:27:11 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
X-Mailer: Mozilla 4.0b5 [en] (WinNT; I)
Original-To: gnu mailing list <[email-masked]>
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

    Hi,
    This is my very first mail in this list. I have tryed to compilate a
big software developped in DCC (for Sgi) and then transported to gnu
(Sun & Sgi) by my self. I rencountred some troubles in making SLList.h
to compilate, but in adding -lg++ I got a nice result.
    Even thought, I haven't got my big software compiling under
gnu-win32.
    My plateforme is:
            PC i200, 128 M ram, Milenium graphic card (4M)...
            Windows NT 4
            Dos 6.22

    And the result of make gives me:

bash$ make
C:\\gnuwin32\\b18\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\cygnus-2.7.2-97

0404\\../../../../../include/g++/streambuf.h: In method
`ifstream::ifstream(cons
t class ifstream &)':
C:\\gnuwin32\\b18\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\cygnus-2.7.2-97

0404\\../../../../../include/g++/streambuf.h:119: `ios::ios(const class
ios &)'
is private
test.cc:49: within this context
C:\\gnuwin32\\b18\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\cygnus-2.7.2-97

0404\\../../../../../include/g++/streambuf.h: In method
`fstreambase::fstreambas
e(const class fstreambase &)':
C:\\gnuwin32\\b18\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\cygnus-2.7.2-97

0404\\../../../../../include/g++/streambuf.h:119: `ios::ios(const class
ios &)'
is private
test.cc:49: within this context
C:\\gnuwin32\\b18\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\cygnus-2.7.2-97

0404\\../../../../../include/g++/streambuf.h: In method
`istream::istream(const
class istream &)':
C:\\gnuwin32\\b18\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\cygnus-2.7.2-97

0404\\../../../../../include/g++/streambuf.h:119: `ios::ios(const class
ios &)'
is private
test.cc:49: within this context
g++: Internal compiler error: program cc1plus got fatal signal 33
make: *** [test.o] Error 1

    I cannot include the listing of all the programs involved in this
software (too big!) but I guess the problem is not in the code, I have
to "write" out a special flag? do anybody has had a problem like this?

    Thanks for helping me...

                                        Berenice LOPEZ

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".